package com.ruoyi.mall.mapper;

import java.util.List;
import com.ruoyi.mall.domain.MallGoodsClass;
import org.apache.ibatis.annotations.Param;

/**
 * 商品类型Mapper接口
 *
 * @author chang
 * @date 2021-11-25
 */
public interface MallGoodsClassMapper
{
    /**
     * 查询商品类型
     *
     * @param id 商品类型主键
     * @return 商品类型
     */
    public MallGoodsClass selectMallGoodsClassById(Long id);

    /**
     * 查询商品类型列表
     *
     * @param mallGoodsClass 商品类型
     * @return 商品类型集合
     */
    public List<MallGoodsClass> selectMallGoodsClassList(MallGoodsClass mallGoodsClass);

    /**
     * 新增商品类型
     *
     * @param mallGoodsClass 商品类型
     * @return 结果
     */
    public int insertMallGoodsClass(MallGoodsClass mallGoodsClass);

    /**
     * 修改商品类型
     *
     * @param mallGoodsClass 商品类型
     * @return 结果
     */
    public int updateMallGoodsClass(MallGoodsClass mallGoodsClass);

    /**
     * 删除商品类型
     *
     * @param id 商品类型主键
     * @return 结果
     */
    public int deleteMallGoodsClassById(Long id);

    /**
     * 批量删除商品类型
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallGoodsClassByIds(Long[] ids);

    public List<MallGoodsClass> selectDefaultMallGoodsClasses(@Param("parentId") Long parentId);

    /**
     * 查询下拉分类列表
     * @param parentId
     * @return
     */
    public List<MallGoodsClass> getClassSelectList(@Param("parentId") Long parentId);

    /**
     * 查询下拉分类列表
     *
     * @param mallGoodsClass 商品类型
     * @return 商品类型集合
     */
    public List<MallGoodsClass> getDropdownClassList(MallGoodsClass mallGoodsClass);
}
